### File

`packages/base/src/lib/eui-models/log/log.logger.ts`

### Description

Logger

### Index

###### Properties
isAllEnabled isDebugEnabled isDisabled isEnabledFor isErrorEnabled isFatalEnabled isInfoEnabled isTraceEnabled isWarnEnabled
###### Methods
debug error fatal getLevel getName info Static isEnabledFor setLevel trace warn

### Constructor

`constructor(name: string, level: LogLevel, appenders: LogAppender[])`
Parameters :
Name | Type | Optional
name | `string` | No
level | `LogLevel` | No
appenders | `LogAppender[]` | No

### Properties

isAllEnabled
Type : `unknown`
Default value : `() => {...}`

isDebugEnabled
Type : `unknown`
Default value : `() => {...}`

isDisabled
Type : `unknown`
Default value : `() => {...}`

isEnabledFor
Type : `unknown`
Default value : `() => {...}`

isErrorEnabled
Type : `unknown`
Default value : `() => {...}`

isFatalEnabled
Type : `unknown`
Default value : `() => {...}`

isInfoEnabled
Type : `unknown`
Default value : `() => {...}`

isTraceEnabled
Type : `unknown`
Default value : `() => {...}`

isWarnEnabled
Type : `unknown`
Default value : `() => {...}`

### Methods

debug
`debug(message: M, ...additionalMessages: A[])`
Type parameters : M A
Debug log Parameters :
Name | Type | Optional | Description
message | `M` | No | mandatory message
additionalMessages | `A[]` | No | optional messages
Returns : `void`

error
`error(message: M, ...additionalMessages: A[])`
Type parameters : M A
Error log Parameters :
Name | Type | Optional | Description
message | `M` | No | mandatory message
additionalMessages | `A[]` | No | optional messages
Returns : `void`

fatal
`fatal(message: T, ...additionalMessages: S[])`
Type parameters : T S
Fatal log Parameters :
Name | Type | Optional | Description
message | `T` | No | mandatory message
additionalMessages | `S[]` | No | optional messages
Returns : `void`

getLevel
`getLevel()`
Gets the log level Returns : `LogLevel` the log level

getName
`getName()`
Gets the logger name Returns : `string` the logger name

info
`info(message: M, ...additionalMessages: A[])`
Type parameters : M A
Info log Parameters :
Name | Type | Optional | Description
message | `M` | No | mandatory message
additionalMessages | `A[]` | No | optional messages
Returns : `void`

Static isEnabledFor
`isEnabledFor(enabledFromLevel: LogLevel, level: LogLevel)`
Parameters :
Name | Type | Optional
enabledFromLevel | `LogLevel` | No
level | `LogLevel` | No
Returns : `boolean`

setLevel
`setLevel(level: LogLevel)`
Sets the log level Parameters :
Name | Type | Optional | Description
level | `LogLevel` | No | log level
Returns : `void`

trace
`trace(message: M, ...additionalMessages: A[])`
Type parameters : M A
Trace log Parameters :
Name | Type | Optional | Description
message | `M` | No | mandatory message
additionalMessages | `A[]` | No | optional messages
Returns : `void`

warn
`warn(message: M, ...additionalMessages: A[])`
Type parameters : M A
Warning log Parameters :
Name | Type | Optional | Description
message | `M` | No | mandatory message
additionalMessages | `A[]` | No | optional messages
Returns : `void`

# results matching ""

# No results matching ""